TechDraw Balloon

From FreeCAD Documentation
Revision as of 09:50, 24 May 2019 by Fjullien (talk | contribs)

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

TechDraw Balloon

Menu location
TechDraw → Balloon
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19 (dev)
See also
TechDraw New annotation

Description

The Balloon tool can add balloons with leader line in a drawing.

How to use

  1. Select the View to which the Balloon will be attached.
  2. Press the Balloon button.
  3. The cursor is now displayed as a balloon icon. Click on the page to place the balloon origin to the desired position.
  4. The balloon bubble may be dragged to the desired position. Use CTRL-drag to move the bubble and the arrow.
  5. You can change balloon properties by double clicking balloon label or balloon object in the tree. This will open the Balloon Task dialog:

File:Task balloon.png

Limitations

Dimension objects are vulnerable to "topological naming" issues. This means that if you modify the 3D geometry the faces and edges of the model may be renamed internally; if a dimension is attached to an edge that is then modified, the dimension may break. In general, it is not possible to keep the projected 2D dimensions synchronized with the actual 3D objects.

Therefore, it is recommended that dimensions be added when the 3D model is no longer being modified.


Properties

Data

  • DataX: Horizontal position of the balloon bubble relative to the View.
  • DataY: Vertical position of the balloon bubble relative to the View.

View

  • ViewFont: The name of the font to use for the balloon bubble.
  • ViewFontsize: Dimension text size in mm.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Balloon tool can be used in macros and from the Python console by using the following functions:

bal1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewBalloon','Balloon')
rc = page.addView(bal1)


Notes